/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package matrix;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class AppTest {
    @Test void multiply() {
      MatrixMultiply multiply = new MatrixMultiply();

      int[][] matrix1 = {{1, 2, 3},{1, 2, 3},{1, 2, 3}};
      int[][] matrix2 = {{3, 4, 5},{6, 7, 8},{3, 4, 5}};
      int[][] matrix3 = multiply.Multiply(matrix1, matrix2);
      int[][] target = {{24, 30, 36},{24, 30, 36},{24, 30, 36}};
      assertArrayEquals(target, matrix3);
    }
}
